## RENAME SCHEMA Statement (rename_schema_statement)

The RENAME SCHEMA statement (rename_schema_statement) changes the name of a schema.

### Syntax

<rename_schema_statement> ::= RENAME SCHEMA <schema_name> TO <new_schema_name>

<new_schema_name> ::= <schema_name>

### Explanation

The schema to be changed must already exist and cannot identify a user. The schema name must identify a schema whose owner is the current database user.

The new_schema_name name must not be identical with the name of an existing database user, user group, schema or role.

The database system automatically adjusts the objects dependent on the schema to be modified to the new schema name.